Metric Description
GET
This endpoint lists all available properties of a metric to use for querying its data
ApiKeyAuthheader
Authorization<token>metricId*stringThe metric properties
application/json- response
data*curl -X GET 'https://dev.dixa.io/v1/analytics/metrics/{metricId}' \ -H 'Authorization: <API token>'{}
"data": {}
"id": "csat",
"description": "(Number of satisfied customers (4 and 5)/ Number of survey responses) x 100 = % of satisfied customers",
"filters": [],
{},
"filterAttribute": "agent_id",
"description": "Used to filter by the agent_id"
{},
"filterAttribute": "queue_id",
"description": "Used to filter by the queue_id"
{},
"filterAttribute": "channel",
"description": "Used to filter by the channel"
{},
"filterAttribute": "initial_direction",
"description": "Used to filter by the initial_direction"
{},
"filterAttribute": "tag_id",
"description": "Used to filter by the tag_id"
{}
"filterAttribute": "contact_point",
"description": "Used to filter by the contact_point"
"aggregations": [],
{}
"measure": "Percentage",
"description": "Calculated Percentage"
"relatedRecordIds": []
"ratings"